Skip to main content
PUT
/
v1
/
agents
/
revisions
/
{revision_id}
/
policies
Attach/detach policies on an assistant revision
curl --request PUT \
  --url https://api-sandbox.featherhq.com/v1/agents/revisions/{revision_id}/policies \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "policy_refs": [
    {
      "policy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "policies_enabled": true
}
'
{
  "revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "policies_enabled": true,
  "policy_refs": [
    {}
  ],
  "inert_tool_policies": [
    {
      "policy_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "tool_target": "<string>",
      "reason": "tool_not_in_assistant_surface"
    }
  ]
}

Authorizations

x-api-key
string
header
required

Path Parameters

revision_id
string<uuid>
required

Body

application/json

Full-replace of an assistant revision's policy attachment.

policy_refs is the complete attached set ([] detaches all; omit to leave unchanged). policies_enabled flips the per-revision master switch; omit to leave unchanged.

policy_refs
PolicyRefSpec · object[] | null
policies_enabled
boolean | null

Response

Successful Response

The assistant revision's current policy attachment after a write/read.

revision_id
string<uuid>
required
policies_enabled
boolean
required
policy_refs
Policy Refs · object[]
inert_tool_policies
InertToolPolicy · object[]